# Update content metadata Updates the metadata of one or more content items without modifying the underlying binary file. Request: items - List of updates. Each item includes: contentId - ID of the content to update. caption - Optional new caption. description - Optional new short description text. extendedDescription - Optional new extended description text. image/video/document - Optional replacement media dimension/duration properties. Response: items - List of updated content items reflecting the applied metadata changes. Endpoint: POST /api/v1/content/update Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `items` (array) - `items.contentId` (string) Rule data fields - `items.caption` (string) Rule data fields - `items.description` (any) - `items.extendedDescription` (any) - `items.image` (object) - `items.image.width` (integer) - `items.image.height` (integer) - `items.video` (object) - `items.video.durationMs` (integer) - `items.document` (object) - `items.document.pages` (integer) ## Response 200 fields (application/json): - `items` (array) - `items.contentId` (string) Rule data fields - `items.caption` (string) Rule data fields - `items.description` (any) - `items.extendedDescription` (any) - `items.image` (object) - `items.image.width` (integer) - `items.image.height` (integer) - `items.video` (object) - `items.video.durationMs` (integer) - `items.document` (object) - `items.document.pages` (integer) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)